package cn.freemud.entities.dto.coupon;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;
import java.util.Date;

public class Active {

    @JSONField(
            name = "ActiveId"
    )
    private Integer ActiveId;
    @JSONField(
            name = "EBCode"
    )
    private String EBCode;
    @JSONField(
            name = "Type"
    )
    private Integer Type;
    @JSONField(
            name = "PartnerID"
    )
    private Integer PartnerID;
    @JSONField(
            name = "PlatformItemId"
    )
    private String PlatformItemId;
    @JSONField(
            name = "State"
    )
    private Integer State;
    @JSONField(
            name = "CreateUser"
    )
    private String CreateUser;
    @JSONField(
            name = "CreateDate"
    )
    private String CreateDate;
    @JSONField(
            name = "LastEditUser"
    )
    private String LastEditUser;
    @JSONField(
            name = "LastEditDate"
    )
    private String LastEditDate;
    @JSONField(
            name = "ActiveCode"
    )
    private String ActiveCode;
    @JSONField(
            name = "ActiveName"
    )
    private String ActiveName;
    @JSONField(
            name = "StartDate"
    )
    private String StartDate;
    @JSONField(
            name = "EndDate"
    )
    private String EndDate;
    @JSONField(
            name = "ShouldRedeemAll"
    )
    private Boolean ShouldRedeemAll;
    @JSONField(
            name = "PromotionType"
    )
    private String PromotionType;
    @JSONField(
            name = "Exclusive"
    )
    private Boolean Exclusive;
    @JSONField(
            name = "MinAmount"
    )
    private BigDecimal MinAmount;
    @JSONField(
            name = "MaxRedeemTimes"
    )
    private Integer MaxRedeemTimes;
    @JSONField(
            name = "MaxSendOut"
    )
    private Integer MaxSendOut;
    @JSONField(
            name = "Cost"
    )
    private BigDecimal Cost;
    @JSONField(
            name = "BusinessID"
    )
    private Integer BusinessID;
    @JSONField(
            name = "ActiveDesc"
    )
    private String ActiveDesc;
    @JSONField(
            name = "Percentage"
    )
    private Double percentage;
    @JSONField(
            name = "Inventory"
    )
    private Integer inventory;
    @JSONField(
            name = "PercentDiscount"
    )
    private BigDecimal PercentDiscount;
    @JSONField(
            name = "MaxDiscount"
    )
    private Integer MaxDiscount;
    @JSONField(
            name = "AppId"
    )
    private String AppId;
    @JSONField(
            name = "FromDayEffective"
    )
    private Integer FromDayEffective;
    @JSONField(
            name = "Effective"
    )
    private Integer Effective;
    @JSONField(
            name = "EffectiveStart"
    )
    private Date EffectiveStart;
    @JSONField(
            name = "EffectiveEnd"
    )
    private Date EffectiveEnd;
    @JSONField(
            name = "RedeemChannel"
    )
    private String RedeemChannel;
    @JSONField(
            name = "MerchantDiscountPrice"
    )
    private BigDecimal MerchantDiscountPrice;
    @JSONField(
            name = "PlatformDiscountPrice"
    )
    private BigDecimal PlatformDiscountPrice;
    @JSONField(
            name = "OtherDiscountPrice"
    )
    private BigDecimal OtherDiscountPrice;

    public Active() {
    }

    public Integer getActiveId() {
        return this.ActiveId;
    }

    public String getEBCode() {
        return this.EBCode;
    }

    public Integer getType() {
        return this.Type;
    }

    public Integer getPartnerID() {
        return this.PartnerID;
    }

    public String getPlatformItemId() {
        return this.PlatformItemId;
    }

    public Integer getState() {
        return this.State;
    }

    public String getCreateUser() {
        return this.CreateUser;
    }

    public String getCreateDate() {
        return this.CreateDate;
    }

    public String getLastEditUser() {
        return this.LastEditUser;
    }

    public String getLastEditDate() {
        return this.LastEditDate;
    }

    public String getActiveCode() {
        return this.ActiveCode;
    }

    public String getActiveName() {
        return this.ActiveName;
    }

    public String getStartDate() {
        return this.StartDate;
    }

    public String getEndDate() {
        return this.EndDate;
    }

    public Boolean getShouldRedeemAll() {
        return this.ShouldRedeemAll;
    }

    public String getPromotionType() {
        return this.PromotionType;
    }

    public Boolean getExclusive() {
        return this.Exclusive;
    }

    public BigDecimal getMinAmount() {
        return this.MinAmount;
    }

    public Integer getMaxRedeemTimes() {
        return this.MaxRedeemTimes;
    }

    public Integer getMaxSendOut() {
        return this.MaxSendOut;
    }

    public BigDecimal getCost() {
        return this.Cost;
    }

    public Integer getBusinessID() {
        return this.BusinessID;
    }

    public String getActiveDesc() {
        return this.ActiveDesc;
    }

    public Double getPercentage() {
        return this.percentage;
    }

    public Integer getInventory() {
        return this.inventory;
    }

    public BigDecimal getPercentDiscount() {
        return this.PercentDiscount;
    }

    public Integer getMaxDiscount() {
        return this.MaxDiscount;
    }

    public String getAppId() {
        return this.AppId;
    }

    public Integer getFromDayEffective() {
        return this.FromDayEffective;
    }

    public Integer getEffective() {
        return this.Effective;
    }

    public Date getEffectiveStart() {
        return this.EffectiveStart;
    }

    public Date getEffectiveEnd() {
        return this.EffectiveEnd;
    }

    public String getRedeemChannel() {
        return this.RedeemChannel;
    }

    public BigDecimal getMerchantDiscountPrice() {
        return this.MerchantDiscountPrice;
    }

    public BigDecimal getPlatformDiscountPrice() {
        return this.PlatformDiscountPrice;
    }

    public BigDecimal getOtherDiscountPrice() {
        return this.OtherDiscountPrice;
    }

    public void setActiveId(Integer ActiveId) {
        this.ActiveId = ActiveId;
    }

    public void setEBCode(String EBCode) {
        this.EBCode = EBCode;
    }

    public void setType(Integer Type) {
        this.Type = Type;
    }

    public void setPartnerID(Integer PartnerID) {
        this.PartnerID = PartnerID;
    }

    public void setPlatformItemId(String PlatformItemId) {
        this.PlatformItemId = PlatformItemId;
    }

    public void setState(Integer State) {
        this.State = State;
    }

    public void setCreateUser(String CreateUser) {
        this.CreateUser = CreateUser;
    }

    public void setCreateDate(String CreateDate) {
        this.CreateDate = CreateDate;
    }

    public void setLastEditUser(String LastEditUser) {
        this.LastEditUser = LastEditUser;
    }

    public void setLastEditDate(String LastEditDate) {
        this.LastEditDate = LastEditDate;
    }

    public void setActiveCode(String ActiveCode) {
        this.ActiveCode = ActiveCode;
    }

    public void setActiveName(String ActiveName) {
        this.ActiveName = ActiveName;
    }

    public void setStartDate(String StartDate) {
        this.StartDate = StartDate;
    }

    public void setEndDate(String EndDate) {
        this.EndDate = EndDate;
    }

    public void setShouldRedeemAll(Boolean ShouldRedeemAll) {
        this.ShouldRedeemAll = ShouldRedeemAll;
    }

    public void setPromotionType(String PromotionType) {
        this.PromotionType = PromotionType;
    }

    public void setExclusive(Boolean Exclusive) {
        this.Exclusive = Exclusive;
    }

    public void setMinAmount(BigDecimal MinAmount) {
        this.MinAmount = MinAmount;
    }

    public void setMaxRedeemTimes(Integer MaxRedeemTimes) {
        this.MaxRedeemTimes = MaxRedeemTimes;
    }

    public void setMaxSendOut(Integer MaxSendOut) {
        this.MaxSendOut = MaxSendOut;
    }

    public void setCost(BigDecimal Cost) {
        this.Cost = Cost;
    }

    public void setBusinessID(Integer BusinessID) {
        this.BusinessID = BusinessID;
    }

    public void setActiveDesc(String ActiveDesc) {
        this.ActiveDesc = ActiveDesc;
    }

    public void setPercentage(Double percentage) {
        this.percentage = percentage;
    }

    public void setInventory(Integer inventory) {
        this.inventory = inventory;
    }

    public void setPercentDiscount(BigDecimal PercentDiscount) {
        this.PercentDiscount = PercentDiscount;
    }

    public void setMaxDiscount(Integer MaxDiscount) {
        this.MaxDiscount = MaxDiscount;
    }

    public void setAppId(String AppId) {
        this.AppId = AppId;
    }

    public void setFromDayEffective(Integer FromDayEffective) {
        this.FromDayEffective = FromDayEffective;
    }

    public void setEffective(Integer Effective) {
        this.Effective = Effective;
    }

    public void setEffectiveStart(Date EffectiveStart) {
        this.EffectiveStart = EffectiveStart;
    }

    public void setEffectiveEnd(Date EffectiveEnd) {
        this.EffectiveEnd = EffectiveEnd;
    }

    public void setRedeemChannel(String RedeemChannel) {
        this.RedeemChannel = RedeemChannel;
    }

    public void setMerchantDiscountPrice(BigDecimal MerchantDiscountPrice) {
        this.MerchantDiscountPrice = MerchantDiscountPrice;
    }

    public void setPlatformDiscountPrice(BigDecimal PlatformDiscountPrice) {
        this.PlatformDiscountPrice = PlatformDiscountPrice;
    }

    public void setOtherDiscountPrice(BigDecimal OtherDiscountPrice) {
        this.OtherDiscountPrice = OtherDiscountPrice;
    }


    public String toString() {
        return "Active(ActiveId=" + this.getActiveId() + ", EBCode=" + this.getEBCode() + ", Type=" + this.getType() + ", PartnerID=" + this.getPartnerID() + ", PlatformItemId=" + this.getPlatformItemId() + ", State=" + this.getState() + ", CreateUser=" + this.getCreateUser() + ", CreateDate=" + this.getCreateDate() + ", LastEditUser=" + this.getLastEditUser() + ", LastEditDate=" + this.getLastEditDate() + ", ActiveCode=" + this.getActiveCode() + ", ActiveName=" + this.getActiveName() + ", StartDate=" + this.getStartDate() + ", EndDate=" + this.getEndDate() + ", ShouldRedeemAll=" + this.getShouldRedeemAll() + ", PromotionType=" + this.getPromotionType() + ", Exclusive=" + this.getExclusive() + ", MinAmount=" + this.getMinAmount() + ", MaxRedeemTimes=" + this.getMaxRedeemTimes() + ", MaxSendOut=" + this.getMaxSendOut() + ", Cost=" + this.getCost() + ", BusinessID=" + this.getBusinessID() + ", ActiveDesc=" + this.getActiveDesc() + ", percentage=" + this.getPercentage() + ", inventory=" + this.getInventory() + ", PercentDiscount=" + this.getPercentDiscount() + ", MaxDiscount=" + this.getMaxDiscount() + ", AppId=" + this.getAppId() + ", FromDayEffective=" + this.getFromDayEffective() + ", Effective=" + this.getEffective() + ", EffectiveStart=" + this.getEffectiveStart() + ", EffectiveEnd=" + this.getEffectiveEnd() + ", RedeemChannel=" + this.getRedeemChannel() + ", MerchantDiscountPrice=" + this.getMerchantDiscountPrice() + ", PlatformDiscountPrice=" + this.getPlatformDiscountPrice() + ", OtherDiscountPrice=" + this.getOtherDiscountPrice() + ")";
    }

}
